package osa.attribute.atgrammar.gui.panels.atgrammar_panels;

import java.awt.*;
import javax.swing.*;

import java.awt.event.*;


import osa.attribute.atgrammar.gui.toolbars.ATGrammarToolBar;

import osa.attribute.atgrammar.grammar.Grammar;

import osa.*;


/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: </p>
 * <p>Company: </p>
 * @author not attributable
 * @version
 */

public class ATGrammarTabPane
  extends JPanel
  {
  protected static ATGrammarTabPane instance=null;

  public static ATGrammarTabPane getInstance()
    {
    return instance;
    }


  BorderLayout borderLayout1 = new BorderLayout(5,5);

  ATGrammarPane atgrammar_pane=new ATGrammarPane(Grammar.getInstance());
  ATGrammarToolBar at_grammar_toolbar = new ATGrammarToolBar();

  protected MainFrame main_frame;

  public ATGrammarTabPane(MainFrame main_frame)
    {
    this.main_frame=main_frame;

    try{
       jbInit();
       }
    catch(Exception e)
      {
      e.printStackTrace();
      }

    instance=this;
    }

  private void jbInit() throws Exception
    {
    this.setLayout(borderLayout1);
    this.add(atgrammar_pane, BorderLayout.CENTER);
    this.add(at_grammar_toolbar, BorderLayout.NORTH);
    }

  public ATGrammarPane getATGrammarPane()
    {
    return this.atgrammar_pane;
    }





  }